Matlab 2011b and Cuda

1 view (last 30 days)
Marius Ionescu
Marius Ionescu on 14 Sep 2011
Edited: Walter Roberson on 11 Mar 2017
Hi,
I downloaded and installed Matlab 2011b and, among other, the parallel toolbox. I do have an Nvidia CUDA card on my computer and with version 2011a I was able to use the cuda in matlab very well. In 2011b, however, I receive the following error if I try to do anything CUDA related: "Error using gpuArray (line 28) The CUDA runtime failed to initialize correctly. This can occur with some older CUDA drivers. Make sure that you have the latest CUDA driver for your system from NVIDIA."
I have CUDA 4.0 installed on my computer. I am running Ubuntu 11.04 64bits. If I open the 2011a version of the Matlab everything works fine.
Marius

Answers (3)

Walter Roberson
Walter Roberson on 14 Sep 2011
It appears that new drivers (Linux version #270.41.19) were released about a month ago; perhaps that would help. See http://developer.nvidia.com/cuda-toolkit-40 to download the drivers

Dariosh
Dariosh on 18 Nov 2014
I have the same problem now with Ubuntu 14.04 with the news CUDA driver and Matlab 2014B. "Error using gpuArray The CUDA runtime failed to initialize correctly. This can occur with some older CUDA drivers" Somebody has any solusion?
  1 Comment
Michal
Michal on 1 Dec 2014
I can confirm that. Same problem on Ubuntu 14.04 with nvidia-331 driver on MATLAB 2014b.
Any recommendations???

Sign in to comment.


Edric Ellis
Edric Ellis on 16 Sep 2011
As Walter says, there are some relatively new CUDA drivers available for Linux, it's definitely worth getting the latest. If you still have trouble, please could you post the result of running
parallel.internal.gpu.CUDADriverVersion
  2 Comments
Walter Roberson
Walter Roberson on 11 Mar 2017
Raghavendra Ramachandra: You are replying to a question from 5 1/2 years ago. Please indicate clearly which MATLAB version you are trying to use, and which operating system, and whether you are using 32 bit or 64 bit MATLAB, and the variety of card you are using.
The closest match I find to the driver number you provide is 368.86-quadro-tesla-grid-winserv2008-2008r2-2012-64bit-international-whql.exe which appears to be for Tesla card for the 2012 timeframe running on Windows Server 2008.

Sign in to comment.

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!

Translated by